package modele;

public class ConcreteSensor extends Sensor {
    private double weight;

    public ConcreteSensor(double weight) {
        this.weight = weight;
    }

    public double getWeight() {
        return weight;
    }

    public void updateTemperature() {
    }

    @Override
    public double generateTemperature() {
        double min = -273.15;
        double max = 1000;
        return Math.floor(Math.random() * (max - min + 1) + min);    }
}

